/* CURRENT PAGE LAYOUT STANDARDS */

body{
    max-width: 50em; 
    margin-left: auto; 
    margin-right: auto;
    padding-left: 0.2em;
    padding-right: 0.1em;
    font-family: sans-serif;
    line-height: 130%;
}

main{background-color: #ffffff}

/* USUAL SUSPECTS */
p{margin-bottom:2.2ex;line-height: 160%;}
h1,h2,h3,h4,h5,h6{margin-bottom:0.1em; margin-top:2em; line-height: 100%;}
ol,ul li{margin-top:0px; margin-bottom: 1.0ex;}
/*img{max-width: 400px;}*/
p.presents{font-size: 105%; font-weight: bold; text-align: center; margin-top: 0.0ex; margin-bottom: 0.5ex; line-height: 1;}
p.bottomlinks{line-height: 2in;}
sup.tm{font-size: 110%; position: relative; line-height: 0; vertical-align: baseline; top: -.25ex; left: -.25ex;}
p.title{font-size: 200%; font-weight: bold; color: #cc0000; text-align: center; margin-top: 1ex; margin-bottom: 1ex;line-height: 100%;}
p.copyright{font-size: 90%; font-weight: bold; text-align: center; margin-top: 0ex; margin-bottom: 0ex;}
p.bottom{margin-top:20ex;}
p.contents_title{font-size: 150%; font-weight: bold; margin-bottom: 0ex;}
ul.contents{margin-bottom: 0ex; margin-bottom: 6ex;}
ul.contents>li{font-weight: bold; margin-bottom: 0.5ex;}
span.crumplezone{margin-left: -0.1em; margin-right: -0.15em}
h1{
    background-color: #f6f6ff; 
    padding: 0.25ex;
    padding-bottom: 0.5ex;
    border-color: black;
    border-top-style: solid;
    border-top-width: 0.2ex;
    border-bottom-style: solid;
    border-bottom-width: 0.05ex;
    margin-top: 2em;
    margin-bottom: 0.001ex;
}

/* LINK COLORS AND BEHAVIOR */
a:visited{color:#7200a0;}
a:hover{background-color: #ffdddd; color: black;}
a:active{background-color: #880000; color: white;}

/* SIDE BY SIDE DIVS THAT FOLD UNDER */
div.inline_foldunder,div.inline_foldunder1,div.inline_foldunder2,div.inline_foldunder3{
	display: inline-block;
	margin: 0.5ex;
	margin-left: auto;
	margin-right: auto;
    vertical-align: top;
}


/* PARAGRAPH STYLES */
pre.code{
    margin: 1ex;
    background-color: #e0ffff;
    margin-top: 0.0005ex;
    margin-bottom: 0.0005ex;
    padding-right: 0.001ex;
    padding-left: 0.2em;
    padding-top: 0.4em;
    padding-bottom:0.2em;
    border-style: ridge;
    font-family: monospace;
    font-size: 90%;
    font-weight:bold;
    line-height: 130%;
    hyphens: none;
    overflow-x: auto; 
}

pre p{line-height: 1ex; margin-top: 0ex; margin-bottom: 0ex;}


/* NOTE BOX */
div.note{
    max-width: 40em; 
    background-color: #fff3aa; 
    border-style: ridge;
    border-width: 2px;
    margin-top: 0.5ex;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 3ex;
    padding-left: 0.5ex;
  }
div.note p{
    font-size: 90%; 
    font-weight: bold; 
    line-height: 140%;
}
div.note p.title{
    text-align: center; 
    font-size: 140%; 
    font-weight: bold; 
    text-decoration: underline;
    text-decoration-thickness: 0.1ex;
    color: #000000; 
    margin-top: 0.8ex;
}


/* DANGER BOX */
div.danger,div.landmine{
    max-width: 40em;
    background-color: #660066;
    color: #aaff33;
    font-weight: bold;
    border-style: ridge;
    border-width: 8px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 2ex;
    margin-bottom: 2ex;
    text-align: center;
    }
div.danger>p.title,div.landmine>p.title{
    font-size: 160%;
    font-weight: bold;
    text-align: center;
    margin: 0ex;
    margin-bottom: 1ex;
    color: #99ff33;
    }
div.danger>p,div.landmine>p{
    text-align: left;
    margin: 0ex 0.5em 1.5ex 0.5em;
    }

div.danger>p>code, div.landmine>p>code{
    color: white;
    background-color: black;

}

div.danger>ul>li, div.landmine>ul>li{
   color: white;
   text-align: left;
}

div.danger>ul>li>code, div.landmine>ul>li>code{
   background-color: #660066;
   text-align: left;
}

ul.multiline li{margin-bottom: 0.7em;}
ol.multiline li{margin-bottom: 0.7em;}
    
/* FOR TROUBLESHOOTING */
div.diag{background-color: #ffffcc;}


/* CHARACTER STYLES (SPANS) */
span.emph{font-size: 105%; font-style: italic; color: #003300;}
span.term{font-size:105%; font-style: italic; font-weight: bold; color: #770000;}
span.searchterm{font-size:95%; font-style: italic; font-weight: bold; color: #007700;}

span.userinput{color: #990066; font-family: monospace; font-weight: bold; font-size: 85%;}

span.cmdprompt{font-family: monospace; font-weight: bold; font-size: 90%}
span.term{font-family: serif; font-style: oblique;}

span.searchphrase{background-color: black; color: white; font-style: italic;}

p.errorexample{font-size: 3em; color: brown}


span.code,span.tinycode{
background-color: #e0ffff; 
font-family: monospace;
padding-left: 0.2em;
padding-right:0.2em;
margin-left: 0.1em;
margin-right: 0.1em;
hyphens:none;
}
span.tinycode{font-size: 60%; color: orange;}

code,code.tiny{
background-color: #e0ffff; 
font-family: monospace;
padding-left: 0.2em;
padding-right:0.2em;
margin-left: 0.1em;
margin-right: 0.1em;
hyphens:none;
}
code.tiny{font-size: 60%; color: orange;}

div.showcase{
background-color: #000000;
color: #ffffff;
border-style: ridge;
border-width:5px;
margin-left:auto;
margin-right: auto;
padding-left: 0.3em;
}
div.showcase>p.title{
font-weight: bold;
font-size: 115%;
color: white;
}
div.showcase>p code{
font-family: monospace;
color: #ffffff;
font-weight: bold;
background-color: #60a060;
}
div.showcase>pre{
font-family: monospace;
color: #ffffff;
font-weight: bold;
background-color: #60a060;
}

div.showcase a{color: #ccffcc;}
